GDB (xrefs)

Public Attributes | List of all members
gdbpy_breakpoint_object Struct Reference

`#include "python-internal.h"`

## Public Attributes
PyObject_HEAD int | number
struct breakpoint * | bp
int | is_finish_bp

## Detailed Description

Definition at line 389 of file python-internal.h.

## Member Data Documentation

## ◆ bp

struct breakpoint* gdbpy_breakpoint_object::bp

Definition at line 398 of file python-internal.h.

Referenced by bpfinishpy_init(), bpfinishpy_out_of_scope(), bpfinishpy_post_stop_hook(), bppy_delete_breakpoint(), bppy_get_commands(), bppy_get_condition(), bppy_get_enabled(), bppy_get_expression(), bppy_get_hit_count(), bppy_get_ignore_count(), bppy_get_location(), bppy_get_pending(), bppy_get_silent(), bppy_get_task(), bppy_get_temporary(), bppy_get_thread(), bppy_get_type(), bppy_get_visibility(), bppy_init(), bppy_is_valid(), bppy_set_condition(), bppy_set_enabled(), bppy_set_hit_count(), bppy_set_silent(), bppy_set_task(), bppy_set_thread(), gdbpy_breakpoint_created(), and local_setattro().

## ◆ is_finish_bp

int gdbpy_breakpoint_object::is_finish_bp

Definition at line 401 of file python-internal.h.

Referenced by bpfinishpy_detect_out_scope_cb(), bpfinishpy_init(), gdbpy_breakpoint_cond_says_stop(), and gdbpy_breakpoint_created().

## ◆ number

PyObject_HEAD int gdbpy_breakpoint_object::number

Definition at line 394 of file python-internal.h.

Referenced by bpfinishpy_init(), bppy_get_number(), bppy_init(), bppy_set_ignore_count(), and gdbpy_breakpoint_created().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/python-internal.h